Google Calendar busy intervals
curl --request GET \
--url https://api.sapt.ai/projects/{projectId}/calendar/google/busy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sapt.ai/projects/{projectId}/calendar/google/busy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sapt.ai/projects/{projectId}/calendar/google/busy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"busy": [
{
"start": "<string>",
"end": "<string>"
}
]
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Calendar
Google Calendar busy intervals
List busy intervals on the connected Google Calendar within [timeMin, timeMax). Use it to hide taken slots when rendering availability.
GET
/
projects
/
{projectId}
/
calendar
/
google
/
busy
Google Calendar busy intervals
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Query Parameters
Range start (ISO timestamp).
Range end (ISO timestamp).
Calendar to inspect. Defaults to the connected primary calendar.
Response
Success
Show child attributes
Show child attributes